Index: ruby/branches/0.5.0/lib/open_ehr/am.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am.rb	(revision 167)
@@ -14,5 +14,5 @@
 require 'rm/common/resource.rb'
 #require 'rm/support/terminology/openehr_code_set_identifier.rb'
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
@@ -38,5 +38,5 @@
 
     module OpenEHR_Profile
-      module Data_Types
+      module DataTypes
         module Basic
           autoload :C_DV_STATE, "am/openehr_profile/data_types/basic.rb"
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/archetype.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/archetype.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/archetype.rb	(revision 167)
@@ -1,14 +1,14 @@
 require 'rm/support/terminology.rb'
 
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
       module ADL_Definition
 #        include OpenEHR::RM::Support::Terminology::OpenEHR_Code_Set_Identifier
-        include OpenEHR::RM::Support::Terminology
+        include OpenEhr::RM::Support::Terminology
         CURRENT_ADL_VERSION = "1.4"
       end
 
-      class ARCHETYPE < OpenEHR::RM::Common::Resource::Authored_Resource
+      class ARCHETYPE < OpenEhr::RM::Common::Resource::AuthoredResource
         include ADL_Definition
         attr_accessor :archetype_id, :concept_code, :is_controlled, :original_language, :parent_archtype_id, :uid
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/archetype_description/archetype_description.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/archetype_description/archetype_description.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/archetype_description/archetype_description.rb	(revision 167)
@@ -1,4 +1,4 @@
 
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/archetype_constraint.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/archetype_constraint.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/archetype_constraint.rb	(revision 167)
@@ -1,4 +1,4 @@
 
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/assertion.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/assertion.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/assertion.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/primitive.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/primitive.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/constraint_model/primitive.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/ontology.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/ontology.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/ontology.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: ruby/branches/0.5.0/lib/open_ehr/am/archetype/validity_kind.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/am/archetype/validity_kind.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/am/archetype/validity_kind.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module AM
     module Archetype
Index: ruby/branches/0.5.0/lib/open_ehr/assumed_library_types.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/assumed_library_types.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/assumed_library_types.rb	(revision 167)
@@ -3,6 +3,6 @@
 require 'time'
 
-module OpenEHR
-  module Assumed_Library_Types
+module OpenEhr
+  module AssumedLibraryTypes
     class Any < Object
       
Index: ruby/branches/0.5.0/lib/open_ehr/rm.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm.rb	(revision 167)
@@ -9,5 +9,5 @@
 
 # OpenEHR::RM
-module OpenEHR
+module OpenEhr
 
   autoload :Assumed_Library_Types, "assumed_library_types.rb"
@@ -31,5 +31,5 @@
     end
 
-    module Data_Types
+    module DataTypes
       autoload :Basic, "rm/data_types/basic.rb"
       autoload :Text, "rm/data_types/text.rb"
@@ -40,5 +40,5 @@
     end
 
-    module Data_Structures
+    module DataStructures
       autoload :Data_Structure, "rm/data_structure.rb"
       autoload :History, 'rm/data_structures/history.rb'
Index: ruby/branches/0.5.0/lib/open_ehr/rm/common/archetyped.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/common/archetyped.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/common/archetyped.rb	(revision 167)
@@ -2,9 +2,9 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_0_76d0249_1109318114715_211173_0Report.html
 # Ticket refs #65
-module OpenEHR
+module OpenEhr
   module RM
     module Common
       module Archetyped
-        module Locater_Constants
+        module LocaterConstants
           CURRENT_TRANSACTION_ID = "current"
           FRAGMENT_SEPARATOR = "#"
@@ -43,5 +43,5 @@
 
         class Locatable < Pathable
-          include Locater_Constants
+          include LocaterConstants
           attr_reader :archetype_node_id, :name, :links
           attr_accessor :uid, :archetype_details, :feeder_audit
@@ -138,5 +138,5 @@
         end # of Link
 
-        class Feeder_Audit
+        class FeederAudit
           attr_reader :originating_system_audit
           attr_accessor :originating_system_item_ids, :feeder_system_audit,
@@ -157,7 +157,7 @@
             @originating_system_audit = originating_system_audit
           end
-        end # of Feeder_Audit
+        end # of FeederAudit
 
-        class Feeder_Audit_Details
+        class FeederAuditDetails
           attr_reader :system_id
           attr_accessor :provider, :location, :time, :subject, :version_id
@@ -176,5 +176,5 @@
             @system_id = system_id
           end
-        end # of Feeder_Audit_Details
+        end # of FeederAudit_Details
       end # of Archetyped
     end # of Common
Index: ruby/branches/0.5.0/lib/open_ehr/rm/common/change_control.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/common/change_control.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/common/change_control.rb	(revision 167)
@@ -3,8 +3,8 @@
 # Ticket refs #64
 
-module OpenEHR
+module OpenEhr
   module RM
     module Common
-      module Change_Control
+      module ChangeControl
         class Contribution
           attr_reader :uid, :versions, :audit
@@ -93,5 +93,5 @@
 
           def owner_id
-            return Hier_Object_ID.new(@uid.object_id.value)
+            return HierObjectId.new(@uid.object_id.value)
           end
 
@@ -105,5 +105,5 @@
         end
 
-        class Imported_Version < Version
+        class ImportedVersion < Version
           attr_reader :item
 
@@ -126,5 +126,5 @@
         end
 
-        class Original_Version < Version
+        class OriginalVersion < Version
           attr_reader :attestations, :other_input_version_uids
 
@@ -155,5 +155,5 @@
         end
 
-        class Versioned_Object
+        class VersionedObject
           attr_reader :uid, :owner_id, :time_created, :all_versions
 
@@ -208,5 +208,5 @@
               raise ArgumentError, 'invalid a_ver_id'
             end
-            return @all_versions[self.all_version_ids.index(a_ver_id)].instance_of? Original_Version
+            return @all_versions[self.all_version_ids.index(a_ver_id)].instance_of? OriginalVersion
           end
 
@@ -267,17 +267,17 @@
             @all_versions.each do |ver|
               audits = [ ]
-              if ver.instance_of? Original_Version
+              if ver.instance_of? OriginalVersion
                 audits << ver.attestations
               end
               audits << ver.commit_audit
-              revision_history_items << Revision_History_Item.new(
+              revision_history_items << RevisionHistoryItem.new(
                                           :audits => audits,
                                           :version_id => ver.uid)
             end
-            return Revision_History.new(revision_history_items)
+            return RevisionHistory.new(revision_history_items)
           end
 
           def commit_original_version(args={ })
-            @all_versions << Original_Version.new(:uid => args[:uid],
+            @all_versions << OriginalVersion.new(:uid => args[:uid],
                                                   :preceding_version_uid => args[:preceding_version_uid],
                                                   :contribution => args[:contribution],
@@ -290,5 +290,5 @@
 
           def commit_original_merged_version(args = { })
-            @all_versions << Original_Version.new(:uid => args[:uid],
+            @all_versions << OriginalVersion.new(:uid => args[:uid],
                                                   :contribution => args[:contribution],
                                               :preceding_version_uid => args[:preceding_version_uid],
@@ -302,5 +302,5 @@
 
           def commit_imported_version(args = { })
-            @all_versions << Imported_Version.new(:item => args[:item],
+            @all_versions << ImportedVersion.new(:item => args[:item],
                                                   :contribution => args[:contribution],
                                                   :commit_audit => args[:commit_audit])
@@ -319,5 +319,5 @@
           end
         end
-      end # of Change_Control
+      end # of ChangeControl
     end # of Common
   end # of RM
Index: ruby/branches/0.5.0/lib/open_ehr/rm/common/directory.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/common/directory.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/common/directory.rb	(revision 167)
@@ -2,10 +2,10 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_5_1_76d0249_1140536622627_218703_7149Report.html
 # Ticket refs #63
-include OpenEHR::RM::Data_Types::Text
-module OpenEHR
+include OpenEhr::RM::DataTypes::Text
+module OpenEhr
   module RM
     module Common
       module Directory
-        class Folder < OpenEHR::RM::Common::Archetyped::Locatable
+        class Folder < OpenEhr::RM::Common::Archetyped::Locatable
           attr_accessor :items
           attr_reader :folders
@@ -22,5 +22,5 @@
           end
         end        
-        class Versioned_Folder < OpenEHR::RM::Common::Change_Control::Versioned_Object
+        class VersionedFolder < OpenEhr::RM::Common::ChangeControl::VersionedObject
         end
       end # of Directory
Index: ruby/branches/0.5.0/lib/open_ehr/rm/common/generic.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/common/generic.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/common/generic.rb	(revision 167)
@@ -2,11 +2,11 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_5_1_76d0249_1140169202660_257304_813Report.html
 # Related to the ticket #62
-include OpenEHR::RM::Support::Identification
-include OpenEHR::RM::Data_Types::Basic
-module OpenEHR
+include OpenEhr::RM::Support::Identification
+include OpenEhr::RM::DataTypes::Basic
+module OpenEhr
   module RM
     module Common
       module Generic
-        class Audit_Details
+        class AuditDetails
           attr_reader :system_id, :committer, :time_committed, :change_type
           attr_accessor :description
@@ -45,5 +45,5 @@
         end
 
-        class Revision_History
+        class RevisionHistory
           attr_reader :items
 
@@ -66,7 +66,7 @@
             return @items.last.audits.first.time_committed.value
           end
-        end # of Revision_History
+        end # of RevisionHistory
 
-        class Revision_History_Item
+        class RevisionHistoryItem
           attr_reader :version_id, :audits
 
@@ -87,7 +87,7 @@
             @version_id = version_id
           end
-        end # of Revision_History_Item
+        end # of RevisionHistory_Item
 
-        class Party_Proxy
+        class PartyProxy
           attr_accessor :external_ref
 
@@ -97,9 +97,9 @@
         end
 
-        class Party_Self < Party_Proxy
+        class PartySelf < PartyProxy
 
         end
 
-        class Party_Identified < Party_Proxy
+        class PartyIdentified < PartyProxy
           attr_reader :name, :identifier
           def initialize(args = { })
@@ -132,5 +132,5 @@
         end
 
-        class Party_Related < Party_Identified
+        class PartyRelated < PartyIdentified
           attr_reader :relationship
           def initialize(args = { })
@@ -174,5 +174,5 @@
         end
 
-        class Attestation < Audit_Details
+        class Attestation < AuditDetails
           attr_reader :reason
           attr_accessor :proof, :items
Index: ruby/branches/0.5.0/lib/open_ehr/rm/common/resource.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/common/resource.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/common/resource.rb	(revision 167)
@@ -1,8 +1,8 @@
 require 'set'
-module OpenEHR
+module OpenEhr
   module RM
     module Common
       module Resource
-        class Authored_Resource
+        class AuthoredResource
           attr_reader  :original_language, :translations
           attr_accessor :description, :revision_history
@@ -42,5 +42,5 @@
         end
 
-        class Translation_Details
+        class TranslationDetails
           attr_reader :language, :author
           attr_accessor :accreditation, :other_details
@@ -64,5 +64,5 @@
         end
 
-        class Resource_Description
+        class ResourceDescription
           attr_reader :original_author, :lifecycle_state, :details
           attr_accessor :other_contributors, :resource_package_uri,
@@ -101,5 +101,5 @@
         end
 
-        class Resource_Description_Item
+        class ResourceDescriptionItem
           attr_reader :language, :purpose, :use, :misuse, :copyright
           attr_accessor :keywords, :original_resource_uri, :other_details
Index: ruby/branches/0.5.0/lib/open_ehr/rm/composition/content/entry.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/composition/content/entry.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/composition/content/entry.rb	(revision 167)
@@ -1,3 +1,3 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Content
@@ -5,7 +5,7 @@
         class Entry < Content_Item
         end
-        class Care_Entry < Entry
+        class CareEntry < Entry
         end
-        class Action < Care_Entry
+        class Action < CareEntry
           attr_accessor :description, :time
           attr_accessor :ism_transition, :instruction_details
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_structure.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_structure.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_structure.rb	(revision 167)
@@ -4,8 +4,8 @@
 # refs #59
 
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Structures
-      class Data_Structure < OpenEHR::RM::Common::Archetyped::Locatable        
+    module DataStructures
+      class DataStructure < OpenEhr::RM::Common::Archetyped::Locatable
         def initialize(args = { })
           super(args)
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/basic.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/basic.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/basic.rb	(revision 167)
@@ -2,16 +2,16 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_0_76d0249_1109067591791_562382_3151Report.html
 # Ticket refs #52
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Basic
-        module Canonical_Fragment
+        module CanonicalFragment
         end
 
-        class Data_Value
-          include OpenEHR::RM::Support::Definition::Basic_Definition
+        class DataValue
+          include OpenEhr::RM::Support::Definition::BasicDefinition
         end
 
-        class DV_Boolean < Data_Value
+        class DvBoolean < DataValue
           def initialize(value)
             self.value = value
@@ -28,7 +28,7 @@
             @value == true
           end
-        end  # end of DV_Boolean
+        end  # end of DvBoolean
 
-        class DV_State < Data_Value
+        class DvState < DataValue
           attr_reader :value
 
@@ -48,7 +48,7 @@
             @is_terminal = s
           end
-        end # end of DV_State
+        end # end of DvState
 
-        class DV_Identifier
+        class DvIdentifier
           attr_accessor :issuer, :assigner, :id, :type
           def initialize(assigner, id, issuer, type)
@@ -63,7 +63,7 @@
             @type = type
           end
-        end #end of DV_Identifier
+        end #end of DvIdentifier
       end # end of Basic
-    end # end of Data_types
+    end # end of DataTypes
   end # end of RM
 end # end of OpenEHR
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/encapsulated.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/encapsulated.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/encapsulated.rb	(revision 167)
@@ -5,9 +5,9 @@
 require 'locale/info'
 
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Encapsulated
-        class DV_Encapsulated  < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvEncapsulated  < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_reader :language, :charset, :size
           def initialize(charset, language, size)
@@ -59,5 +59,5 @@
 
 # media type http://www.iana.org/assignments/media-types/text/
-        class DV_Multimedia < DV_Encapsulated
+        class DvMultimedia < DvEncapsulated
           attr_reader :media_type
           attr_accessor :uri, :data, :compression_algorithm,
@@ -84,5 +84,5 @@
         end
 
-        class DV_Parsable < DV_Encapsulated
+        class DvParsable < DvEncapsulated
           attr_reader :value, :formalism
           def initialize(charset, language, size, formalism, value)
@@ -107,5 +107,5 @@
         end
       end # of Encapsulated
-    end # of Data_Types
+    end # of DataTypes
   end # of RM
 end # of OpenEHR
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/quantity.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/quantity.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/quantity.rb	(revision 167)
@@ -3,12 +3,12 @@
 # Ticket refs #50
 require 'assumed_library_types'
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Quantity
 
         autoload :Date_Time, "rm/data_types/quantity/date_time.rb"
 
-        class DV_Ordered < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvOrdered < OpenEhr::RM::DataTypes::Basic::DataValue
           include Comparable
           attr_accessor :normal_range, :other_refference_ranges, :normal_status
@@ -51,9 +51,9 @@
         end
 
-        class DV_Interval < OpenEHR::Assumed_Library_Types::Interval
-
-        end
-
-        class DV_Quantified < DV_Ordered
+        class DvInterval < OpenEhr::AssumedLibraryTypes::Interval
+
+        end
+
+        class DvQuantified < DvOrdered
           attr_reader :magnitude, :magnitude_status
 
@@ -78,5 +78,5 @@
             if magnitude_status.nil?
               @magnitude_status = '='
-            elsif DV_Quantified.valid_magnitude_status?(magnitude_status)
+            elsif DvQuantified.valid_magnitude_status?(magnitude_status)
               @magnitude_status = magnitude_status
             else
@@ -99,5 +99,5 @@
         end
 
-        class DV_Ordinal < DV_Ordered
+        class DvOrdinal < DvOrdered
           attr_reader :value, :symbol, :limits
 
@@ -121,5 +121,5 @@
 
           def is_strictly_comparable_to?(others)
-            unless others.instance_of? OpenEHR::RM::Data_Types::Quantity::DV_Ordinal
+            unless others.instance_of? OpenEhr::RM::DataTypes::Quantity::DvOrdinal
               return false
             end
@@ -144,5 +144,5 @@
         end
 
-        class DV_Absolute_Quantity < DV_Quantified
+        class DvAbsoluteQuantity < DvQuantified
           attr_accessor :accuracy
 
@@ -168,5 +168,5 @@
         end
 
-        class DV_Amount < DV_Quantified
+        class DvAmount < DvQuantified
           attr_reader :accuracy, :accuracy_percent
           def initialize(magnitude, magnitude_status=nil, accuracy=nil,
@@ -186,5 +186,5 @@
               raise ArgumentError, 'type mismatch'
             end
-            return DV_Amount.new(@magnitude+other.magnitude, @magnitude_status,
+            return DvAmount.new(@magnitude+other.magnitude, @magnitude_status,
                                  @accuracy, @accuracy_percent, @normal_range,
                                  @normal_status, @other_reference_ranges)
@@ -210,5 +210,5 @@
         end
 
-        class DV_Quantity < DV_Amount
+        class DvQuantity < DvAmount
           attr_reader :units, :precision
           def initialize(magnitude, units, magnitude_status=nil, precision=nil,
@@ -235,5 +235,5 @@
           def is_strictly_comparable_to?(others)
             return false if others.nil?
-            if others.instance_of?(DV_Quantity) && others.units == @units
+            if others.instance_of?(DvQuantity) && others.units == @units
               return true
             else
@@ -252,5 +252,5 @@
           def +(other)
             dv_amount = super(other)
-            return DV_Quantity.new(dv_amount.magnitude, @units,
+            return DvQuantity.new(dv_amount.magnitude, @units,
                                    @magnitude_status, @precision,
                                    @accuracy, @accuracy_percent, @normal_range,
@@ -259,8 +259,8 @@
         end
 
-        class DV_Count < DV_Amount
+        class DvCount < DvAmount
           def is_strictly_comparable_to?(others)
             return false if others.nil?
-            if others.instance_of?(DV_Count)
+            if others.instance_of?(DvCount)
               return true
             else
@@ -270,5 +270,5 @@
         end
 
-        class Reference_Range
+        class ReferenceRange
           attr_reader :meaning, :range
 
@@ -297,5 +297,5 @@
         end
 
-        module Proportion_Kind
+        module ProportionKind
           PK_RATIO = 0
           PK_UNITARY = 1
@@ -304,12 +304,12 @@
           PK_INTEGER_FRACTION = 4
 
-          def Proportion_Kind.valid_proportion_kind?(kind)
+          def ProportionKind.valid_proportion_kind?(kind)
             return true if kind >= 0 && kind <= 4
             return false
           end
-        end # end of Proportion_Kind
-
-        class DV_Proportion < DV_Amount
-          include Proportion_Kind
+        end # end of ProportionKind
+
+        class DvProportion < DvAmount
+          include ProportionKind
           attr_reader :numerator, :denominator, :type, :precision
 
@@ -360,5 +360,5 @@
 
           def type=(type)
-            if Proportion_Kind.valid_proportion_kind?(type)
+            if ProportionKind.valid_proportion_kind?(type)
               @type = type
             else
@@ -386,5 +386,5 @@
 
           def is_strictly_comparable_to?(other)
-            unless other.instance_of?(DV_Proportion)
+            unless other.instance_of?(DvProportion)
               return false
             end
@@ -395,6 +395,5 @@
             end
           end
-        end # end of DV_Proportion
-
+        end # end of DvProportion
       end # of Quantity
     end # of Data_Types
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/quantity/date_time.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/quantity/date_time.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/quantity/date_time.rb	(revision 167)
@@ -5,10 +5,10 @@
 require 'date'
 
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Quantity
-        module Date_Time
-          class DV_Temporal < OpenEHR::RM::Data_Types::Quantity::DV_Absolute_Quantity
+        module DateTime
+          class DvTemporal < OpenEhr::RM::DataTypes::Quantity::DvAbsoluteQuantity
             include Comparable
             attr_reader :value
@@ -37,6 +37,6 @@
           end
 
-          class DV_Date < DV_Temporal
-            include OpenEHR::Assumed_Library_Types::ISO8601_DATE_MODULE
+          class DvDate < DvTemporal
+            include OpenEhr::AssumedLibraryTypes::ISO8601_DATE_MODULE
 
             DAYS_IN_MONTH = [0,31,28,31,30,31,30,31,31,30,31,30,31]
@@ -51,5 +51,5 @@
             def value=(value)
               super(value)
-              iso8601_date = Assumed_Library_Types::ISO8601_DATE.new(value)
+              iso8601_date = AssumedLibraryTypes::ISO8601_DATE.new(value)
               @year = iso8601_date.year
               @month = iso8601_date.month
@@ -91,5 +91,5 @@
               end
               year += future.year - past.year
-              return DV_Duration.new(
+              return DvDuration.new(
                    'P' + year.to_s + 'Y' + month.to_s + 'M' + 
                          week.to_s + 'W' + day.to_s + 'D')
@@ -97,6 +97,6 @@
           end
           
-          class DV_Time < DV_Temporal
-            include OpenEHR::Assumed_Library_Types::ISO8601_TIME_MODULE
+          class DvTime < DvTemporal
+            include OpenEhr::AssumedLibraryTypes::ISO8601_TIME_MODULE
             def initialize(value, magnitude_status=nil, accuracy=nil,
                            normal_range=nil, normal_status=nil,
@@ -108,5 +108,5 @@
             def value=(value)
               super(value)
-              iso8601_time = Assumed_Library_Types::ISO8601_TIME.new(value)
+              iso8601_time = AssumedLibraryTypes::ISO8601_TIME.new(value)
               @hour = iso8601_time.hour
               @minute = iso8601_time.minute
@@ -125,5 +125,5 @@
               second = (diff - hour * 60 *60 - minute * 60).to_i
               fractional_second = ((diff - diff.to_i)*1000000.0).to_i/1000000.0
-              return DV_Duration.new('P0Y0M0W0DT' + hour.to_s + 'H' +
+              return DvDuration.new('P0Y0M0W0DT' + hour.to_s + 'H' +
                         minute.to_s + 'M' +
                         second.to_s + fractional_second.to_s[1..-1] + 'S')
@@ -131,6 +131,6 @@
           end
 
-          class DV_Date_Time < DV_Temporal
-            include OpenEHR::Assumed_Library_Types::ISO8601_DATE_TIME_MODULE
+          class DvDateTime < DvTemporal
+            include OpenEhr::AssumedLibraryTypes::ISO8601_DATE_TIME_MODULE
             attr_reader :value
 
@@ -144,5 +144,5 @@
             def value=(value)              
               super(value)
-              iso8601date_time = Assumed_Library_Types::ISO8601_DATE_TIME.new(value)
+              iso8601date_time = AssumedLibraryTypes::ISO8601_DATE_TIME.new(value)
               self.year = iso8601date_time.year
               self.month = iso8601date_time.month
@@ -186,5 +186,5 @@
               fractional_second = ((time_diff - time_diff.to_i)*1000000.0).to_i/1000000.0
 
-              return DV_Duration.new(date_duration.value + 'T' + 
+              return DvDuration.new(date_duration.value + 'T' +
                         hour.to_s + 'H' +
                         minute.to_s + 'M' +
@@ -197,10 +197,10 @@
             def split_date_time(date_time)
               /^(.*)T(.*)$/ =~ date_time.as_string
-              return DV_Date.new($1), DV_Time.new($2)             
-            end
-          end
-
-          class DV_Duration < DV_Amount
-            include Assumed_Library_Types::ISO8601_DURATION_MODULE
+              return DvDate.new($1), DvTime.new($2)
+            end
+          end
+
+          class DvDuration < DvAmount
+            include AssumedLibraryTypes::ISO8601_DURATION_MODULE
             attr_reader :value
             
@@ -214,5 +214,5 @@
               raise ArgumentError, 'value must be not nil' if value.nil?
               @value = value
-              iso8601_duration = Assumed_Library_Types::ISO8601_DURATION.new(value)
+              iso8601_duration = AssumedLibraryTypes::ISO8601_DURATION.new(value)
               self.years = iso8601_duration.years
               self.months = iso8601_duration.months
@@ -234,5 +234,5 @@
 
           end
-        end # of Date_Time
+        end # of DateTime
       end # of Quantity
     end # of Data_Types
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/text.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/text.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/text.rb	(revision 167)
@@ -2,9 +2,9 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_0_76d0249_1109067605961_209522_3179Report.html
 # Ticket refs #48
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
+    module DataTypes
       module Text
-        class Term_Mapping
+        class TermMapping
           attr_reader :match, :purpose, :target
           def initialize(match, purpose, target)
@@ -26,13 +26,13 @@
             match == '?'
           end
-          def Term_Mapping.is_valid_mach_code?(c)
+          def TermMapping.is_valid_mach_code?(c)
             c == '>' or c == '=' or c == '<' or c == '?'
           end
           private
           def match_valid(match)
-            raise ArgumentError, "match is not valid" if !Term_Mapping.is_valid_mach_code? match
+            raise ArgumentError, "match is not valid" if !TermMapping.is_valid_mach_code? match
           end
           def purpose_valid(purpose)
-            if purpose.nil? or !purpose.instance_of? DV_Coded_Text
+            if purpose.nil? or !purpose.instance_of? DvCodedText
               raise ArgumentError, "purpose is not valid"
             end
@@ -44,5 +44,5 @@
         end
 
-        class Code_Phrase
+        class CodePhrase
           attr_reader :terminology_id, :code_string
           def initialize(code_string, terminology_id)
@@ -60,7 +60,7 @@
             @code_string = code_string
           end 
-        end # of Code_Phrase
+        end # of CodePhrase
 
-        class DV_Text < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvText < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_reader :value, :formatting, :hyperlink, :mappings
           attr_reader :language, :encoding
@@ -68,8 +68,8 @@
                          mappings = nil, language = nil, encoding = nil)
             value_valid(value)
-            DV_Text.formatting_valid(formatting)
-            DV_Text.encoding_valid(encoding)
-            DV_Text.mapping_valid(mappings)
-            DV_Text.language_valid(language)
+            DvText.formatting_valid(formatting)
+            DvText.encoding_valid(encoding)
+            DvText.mapping_valid(mappings)
+            DvText.language_valid(language)
             @value, @formatting, @encoding = value, formatting, encoding
             @mappings, @language = mappings, language
@@ -80,17 +80,17 @@
           end
           def formatting=(formatting)
-            DV_Text.formatting_valid(formatting)
+            DvText.formatting_valid(formatting)
             @formatting = formatting
           end
           def encoding=(encoding)
-            DV_Text.encoding_valid(encoding)
+            DvText.encoding_valid(encoding)
             @encoding = encoding
           end
           def mappings=(mappings)
-            DV_Text.mapping_valid(mappings)
+            DvText.mapping_valid(mappings)
             @mappings = mappings
           end
           def language=(language)
-            DV_Text.language_valid(language)
+            DvText.language_valid(language)
             @language = language
           end
@@ -99,5 +99,5 @@
             if value.nil? or value.empty? or value.include? CR or value.include? LF
               raise ArgumentError, "value is not valid"
-              # CR and LF are defined in Basic_Definition inherited Data_Value.
+              # CR and LF are defined in Basic_Definition inherited DataValue.
             end
           end
@@ -128,5 +128,5 @@
         end
 
-        class DV_Coded_Text < DV_Text
+        class DvCodedText < DvText
           attr_reader :defining_code
 
@@ -146,5 +146,5 @@
         end
 
-        class DV_Paragraph < OpenEHR::RM::Data_Types::Basic::Data_Value
+        class DvParagraph < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_reader :items
           def initialize(items)
@@ -167,5 +167,5 @@
 
       end # of Text
-    end # of Data_Type
+    end # of DataTypes
   end # of RM
 end # of OpenEHR
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/time_specification.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/time_specification.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/time_specification.rb	(revision 167)
@@ -1,9 +1,9 @@
 # This module is related to the ticket #47
 
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
-      module Time_Specification
-        class DV_Time_Specification < OpenEHR::RM::Data_Types::Basic::Data_Value
+    module DataTypes
+      module TimeSpecification
+        class DvTimeSpecification < OpenEhr::RM::DataTypes::Basic::DataValue
           attr_reader :value
 
@@ -34,5 +34,5 @@
 
 
-        class DV_General_Time_Specification < DV_Time_Specification
+        class DvGeneralTimeSpecification < DvTimeSpecification
           attr_reader :value
           def initialize(value)
@@ -48,5 +48,5 @@
         end
 
-        class DV_Periodic_Time_Specification < DV_Time_Specification
+        class DvPeriodicTimeSpecification < DvTimeSpecification
           attr_reader :value, :calender_alignment, :event_alingment, :period
           def initialize(value)
Index: ruby/branches/0.5.0/lib/open_ehr/rm/data_types/uri.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/data_types/uri.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/data_types/uri.rb	(revision 167)
@@ -5,6 +5,6 @@
 require 'uri'
 #require 'uri/generic'
-module URI
-  class EHR < ::URI::Generic
+module Uri
+  class Ehr < ::URI::Generic
     COMPONENT = [
       :scheme, :path, :fragment, :query
@@ -21,12 +21,12 @@
     end
   end
-  @@schemes['EHR'] = EHR
+  @@schemes['EHR'] = Ehr
 end
 
-module OpenEHR
+module OpenEhr
   module RM
-    module Data_Types
-      module URI
-        class DV_URI < OpenEHR::RM::Data_Types::Basic::Data_Value
+    module DataTypes
+      module Uri
+        class DvUri < OpenEhr::RM::DataTypes::Basic::DataValue
           def initialize(value)
             self.value = value
@@ -57,5 +57,5 @@
         end
 
-        class DV_EHR_URI < DV_URI
+        class DvEhrUri < DvUri
           def initialize(value)
             super(value)
@@ -67,5 +67,5 @@
         end # of DV_EHR_URI
       end # of URI
-    end # of Data_Type
+    end # of DataTypes
   end # of RM
 end # of OpenEHR
Index: ruby/branches/0.5.0/lib/open_ehr/rm/demographic.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/demographic.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/demographic.rb	(revision 167)
@@ -75,10 +75,10 @@
       end
 
-      class Party_Identity < OpenEHR::RM::Common::Archetyped::Locatable
+      class PartyIdentity < OpenEHR::RM::Common::Archetyped::Locatable
         attr_reader :details
 
       end
 
-      class Party_Relationship < OpenEHR::RM::Common::Archetyped::Locatable
+      class PartyRelationship < OpenEHR::RM::Common::Archetyped::Locatable
 
       end
Index: ruby/branches/0.5.0/lib/open_ehr/rm/security.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/security.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/security.rb	(revision 167)
@@ -2,8 +2,8 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_5_1_76d0249_1155650882301_836618_5314Report.html
 # Ticket refs #41
-module OpenEHR
+module OpenEhr
   module RM
     module Security
-      class Access_Control_Settings
+      class AccessControlSettings
         
       end
Index: ruby/branches/0.5.0/lib/open_ehr/rm/support/assumed_types.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/support/assumed_types.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/support/assumed_types.rb	(revision 167)
@@ -2,8 +2,8 @@
 # and am, I will integrated to /lib/models/assumed_types.rb.
 # By Shinji KOBAYASHI, 2008-07-20
-module OpenEHR
+module OpenEhr
   module RM
     module Support
-      module Assumed_Types
+      module AssumedTypes
         class Interval
           attr_accessor :lower, :upper
Index: ruby/branches/0.5.0/lib/open_ehr/rm/support/definition.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/support/definition.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/support/definition.rb	(revision 167)
@@ -1,12 +1,12 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Support
       module Definition
-        module Basic_Definition
+        module BasicDefinition
           CR = "\015"
           LF = "\012"
         end
-        class OpenEHR_Definitions
-          include Basic_Definition          
+        class OpenEHRDefinitions
+          include BasicDefinition
         end
       end
Index: ruby/branches/0.5.0/lib/open_ehr/rm/support/identification.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/support/identification.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/support/identification.rb	(revision 167)
@@ -2,10 +2,9 @@
 # http://www.openehr.org/uml/release-1.0.1/Browsable/_9_0_76d0249_1109331021343_528780_2066Report.html
 # Ticket refs #39
-module OpenEHR
+module OpenEhr
   module RM
     module Support
       module Identification
-
-        class Object_ID
+        class ObjectId
           attr_reader :value
 
@@ -23,5 +22,5 @@
         end # of ObjectID
 
-        class Object_Ref
+        class ObjectRef
           attr_reader :namespace, :type, :id
 
@@ -48,5 +47,5 @@
         end
 
-        class Archetype_ID < Object_ID
+        class ArchetypeId < ObjectId
           attr_reader :domain_concept, :rm_name, :rm_entity, :rm_originator, :specialisation, :version_id
 
@@ -91,5 +90,5 @@
         end
 
-        class Terminology_ID < Object_ID
+        class TerminologyId < ObjectId
           attr_reader :name, :version_id
 
@@ -130,5 +129,5 @@
         end # of Terminology_ID
 
-        class Generic_ID < Object_ID
+        class GenericId < ObjectId
           attr_reader :scheme
 
@@ -144,9 +143,9 @@
         end # of Generic_ID
 
-        class Template_ID < Object_ID
-
-        end
-
-        class UID_Based_ID < Object_ID
+        class TemplateId < ObjectId
+
+        end
+
+        class UidBasedId < ObjectId
           def initialize(value)
             super(value)
@@ -174,5 +173,5 @@
         end
 
-        class Object_Version_ID < UID_Based_ID
+        class ObjectVersionId < UidBasedId
           attr_reader :object_id, :creating_system_id, :version_tree_id
 
@@ -184,7 +183,7 @@
             super(value)
             if /^(\w+)::(\w+)::((\d|\.)+)$/ =~ value
-              self.object_id = UID.new($1)
-              self.creating_system_id = UID.new($2)
-              self.version_tree_id = Version_Tree_ID.new($3)
+              self.object_id = Uid.new($1)
+              self.creating_system_id = Uid.new($2)
+              self.version_tree_id = VersionTreeId.new($3)
             else
               raise ArgumentError, 'invalid format'
@@ -216,5 +215,5 @@
         end
 
-        class Locatable_Ref < Object_Ref
+        class LocatableRef < ObjectRef
           attr_reader :namespace, :type, :id, :path
 
@@ -234,5 +233,5 @@
         end
 
-        class Party_Ref < Object_Ref
+        class PartyRef < ObjectRef
 
           def type=(type)
@@ -243,5 +242,5 @@
         end
 
-        class Access_Group_Ref < Object_Ref
+        class AccessGroupRef < ObjectRef
           def type=(type)
             raise ArgumentError, 'type invalid' unless type == 'ACCESS_GROUP'
@@ -250,9 +249,9 @@
         end
 
-        class Hier_Object_ID < UID_Based_ID
-
-        end
-
-        class Version_Tree_ID
+        class HierObjectId < UidBasedId
+
+        end
+
+        class VersionTreeId
           attr_reader :value, :trunk_version, :branch_number, :branch_version
 
@@ -303,5 +302,5 @@
         end
 
-        class UID
+        class Uid
           attr_reader :value
 
@@ -316,13 +315,13 @@
         end
 
-        class UUID < UID
-
-        end
-
-        class Internet_ID <UID
+        class Uuid < Uid
+
+        end
+
+        class InternetId <Uid
           
         end
 
-        class ISO_OID <UID
+        class IsoOid <Uid
 
         end        
Index: ruby/branches/0.5.0/lib/open_ehr/rm/support/measurement.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/support/measurement.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/support/measurement.rb	(revision 167)
@@ -1,9 +1,9 @@
-module OpenEHR
+module OpenEhr
   module RM
     module Support
       module Measurement
-        class Measurement_Service
+        class MeasurementService
         end
-        module External_Environment_Access
+        module ExternalEnvironmentAccess
           def eea_terminology_svc
           end
Index: ruby/branches/0.5.0/lib/open_ehr/rm/support/terminology.rb
===================================================================
--- ruby/branches/0.5.0/lib/open_ehr/rm/support/terminology.rb	(revision 166)
+++ ruby/branches/0.5.0/lib/open_ehr/rm/support/terminology.rb	(revision 167)
@@ -1,8 +1,8 @@
 
-module OpenEHR
+module OpenEhr
   module RM
     module Support
       module Terminology
-        class Code_Set_Access
+        class CodeSetAccess
           def all_codes
             raise NotImplementedError, "all_codes must be implemented"
@@ -18,5 +18,5 @@
           end
         end
-        module OpenEHR_Code_Set_Identifier
+        module OpenEhrCodeSetIdentifier
           CODE_SET_ID_CHARACER_SETS = "character sets".freeze
           CODE_SET_ID_COMPRESSION_ALGORITHMS = "compression algorithms".freeze
@@ -29,5 +29,5 @@
           end
         end
-        module OpenEHR_Terminology_Group_Identifiers
+        module OpenEhrTerminologyGroupIdentifiers
           GROUP_ID_ATTESTATION_REASON = "attestation reason".freeze
           GROUP_ID_AUDIT_CHANGE_TYPE = "audit change type".freeze
@@ -46,5 +46,5 @@
           TERMINOLOGY_ID = "openehr".freeze
         end
-        class Terminology_Access
+        class TerminologyAccess
           def all_codes
             raise NotImplementedError, "all_codes is not implemented"
@@ -74,6 +74,6 @@
           end
         end
-        class Terminology_Service
-          include OpenEHR_Code_Set_Identifier, OpenEHR_Terminology_Group_Identifiers
+        class TerminologyService
+          include OpenEhrCodeSetIdentifier, OpenEhrTerminologyGroupIdentifiers
           def code_set(name)
             raise NotImplementedError, "code_set is not implemented"
